import request from '@/utils/request'

// 查询法院已公开裁判文书判决信息列表
export function listInformation(query) {
  return request({
    url: '/crmJudgmentDocumentJudgmentInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询法院已公开裁判文书判决信息详细
export function getInformation(id) {
  return request({
    url: '/basicData/information/' + id,
    method: 'get'
  })
}

// 新增法院已公开裁判文书判决信息
export function addInformation(data) {
  return request({
    url: '/basicData/information',
    method: 'post',
    data: data
  })
}

// 修改法院已公开裁判文书判决信息
export function updateInformation(data) {
  return request({
    url: '/basicData/information',
    method: 'put',
    data: data
  })
}

// 删除法院已公开裁判文书判决信息
export function delInformation(id) {
  return request({
    url: '/crmJudgmentDocumentJudgmentInformation/deleteAll',
    method: 'delete'
  })
}

// 批量删除行政许可
export function delInformationBatch(ids) {
  console.log(ids);
  return request.post('/crmJudgmentDocumentJudgmentInformation/delete',ids)
}
